# https://kubernetes.io/docs/concepts/services-networking/ingress/
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: app-ingress-controller
spec:
  rules:
  - host: "k8s.app.fountane.com"
    http:
      paths:
      - pathType: Prefix
        path: "/apache"
        backend:
          service:
            name: apache-service
            port:
              number: 80

      - pathType: Prefix
        path: "/nginx"
        backend:
          service:
            name: my-service
            port:
              number: 80
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: apache-service
            port:
              number: 80

